POST api/NTSetting/PostOrderCancellationReason
Request Information
URI Parameters
None.
Body Parameters
OrderCancellationReasonDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
String length: inclusive between 0 and 300 |
|
| Sequence | integer |
None. |
|
| NeedMoreInfo | boolean |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"Name": "sample string 2",
"Sequence": 3,
"NeedMoreInfo": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:47:12.7786124-07:00",
"DateUpdated": "2026-06-20T12:47:12.7786124-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfOrderCancellationReasonDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | OrderCancellationReasonDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"Name": "sample string 2",
"Sequence": 3,
"NeedMoreInfo": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:47:12.7882134-07:00",
"DateUpdated": "2026-06-20T12:47:12.7882134-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
},
"totalCount": 3
}